%define debug_package	%{nil}

Name:		pdfmod
License:	GPLv2+
Group:		Publishing
Version:        0.9.1
Release:        %mkrel 13
Summary:	PDF Mod is a simple application for modifying PDF documents
Url:		https://wiki.gnome.org/PdfMod
Source:         https://download.gnome.org/sources/pdfmod/0.9//%{name}-%{version}.tar.bz2
#patch for mono 2.10
Patch0:		pdfmod-mono-2.10-1.patch
Patch1:		pdfmod-0.9.1-build.patch
Patch2:		Avoid-reusing-goto-label-names.patch
BuildRequires:	hyena >= 0.5
BuildRequires:	docbook-dtd42-sgml
BuildRequires:	pkgconfig(gtk-sharp-2.0)
BuildRequires:	pkgconfig(glib-sharp-2.0)
BuildRequires:	pkgconfig(gconf-sharp-2.0)
BuildRequires:	pkgconfig(poppler-sharp)
BuildRequires:	gnome-doc-utils
BuildRequires:	mono-basic
#BuildRequires:	mono-data-sqlite
BuildRequires:	pkgconfig(mono)
BuildRequires:	mono-nunit
BuildRequires:	ndesk-dbus
BuildRequires:	pkgconfig(ndesk-dbus-glib-1.0)
BuildRequires:	scrollkeeper
BuildRequires:	tango-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:	intltool
Requires:	mono
Requires:	gtk-sharp2

%description
PDF Mod is a simple application for modifying PDF documents.

You can reorder, rotate, and remove pages, export images from a document, 
edit the title, subject, author, and keywords, and combine documents via drag and drop. 

%prep
%setup -q
%autopatch -p1
sed -i 's/libpoppler-glib\.so\.4/libpoppler-glib\.so.8/g' lib/poppler-sharp/poppler-sharp/poppler-sharp.dll.config
sed -i "s#gmcs#mcs#g" configure.ac
sed -i "s#gmcs#mcs#g" configure

%build
%configure2_5x --enable-external-poppler-sharp
%make

%install
%make_install

%find_lang %{name} --with-gnome
desktop-file-edit --remove-category=Utility --add-category=Office data/%{name}.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/   %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Dec 04 2015 neoclust <neoclust> 0.9.1-13.mga6
+ Revision: 908090
- Fix build with mono4

* Sun Oct 25 2015 daviddavid <daviddavid> 0.9.1-12.mga6
+ Revision: 895313
- disable debug package

* Fri Oct 17 2014 luigiwalser <luigiwalser> 0.9.1-11.mga5
+ Revision: 771850
- add patch from debian to fix build

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Wed Jan 01 2014 pterjan <pterjan> 0.9.1-8.mga4
+ Revision: 563861
- Fix build
- Drop unused Source1 and update poppler-sharp.dll.config instead

  + ovitters <ovitters>
    - fix url

* Fri Oct 18 2013 umeabot <umeabot> 0.9.1-7.mga4
+ Revision: 508957
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-6.mga3
+ Revision: 362680
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 malo <malo> 0.9.1-5.mga3
+ Revision: 328885
- update RPM group

* Thu Jul 05 2012 fwang <fwang> 0.9.1-4.mga3
+ Revision: 267858
- force use external poppler-sharep

* Thu Jul 05 2012 fwang <fwang> 0.9.1-3.mga3
+ Revision: 267854
- clean up spec
- update br

* Thu Jun 28 2012 malo <malo> 0.9.1-2.mga3
+ Revision: 264732
- spec clean-up after import from Mandriva (patch by Ezim)
- imported package pdfmod


* Thu Dec 15 2011 Götz Waschk <waschk@mandriva.org> 0.9.1-2mdv2012.0
+ Revision: 741544
- update build deps
- rebuild for gtk+ packaging breakage

* Mon Oct 31 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.9.1-1
+ Revision: 708017
- imported package pdfmod

